Log4j 1.2.7

## org.apache.log4j.or
Class ThreadGroupRenderer

    java.lang.Object
      |
      +--org.apache.log4j.or.ThreadGroupRenderer

All Implemented Interfaces:
  ObjectRenderer

public class ThreadGroupRenderer
extends Object
implements ObjectRenderer

Render `ThreadGroup` objects in a format similar to the information output by the `ThreadGroup.list()` method.

Since:
  1.0
Author:
  Ceki Gülcü

Constructor Summary
`ThreadGroupRenderer()`

Method Summary
`String` `doRender(Object o)` Render a `ThreadGroup` object similar to the way that the `ThreadGroup.list()` method output information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadGroupRenderer

    public ThreadGroupRenderer()

Method Detail

### doRender

    public String doRender(Object o)

  Render a `ThreadGroup` object similar to the way that the `ThreadGroup.list()` method output information.

  The output of a simple program consisting of one `main` thread is:

      java.lang.ThreadGroup[name=main, maxpri=10]
      Thread=[main,5,false]

  The boolean value in thread information is the value returned by `Thread.isDaemon()`.

  Specified by:
    `doRender` in interface `ObjectRenderer`

Log4j 1.2.7

Copyright 2000-2002 Apache Software Foundation.